const defaultState = {
  show: false,
  message: "",
  type: "",
};

export default function Alert(state = defaultState, action) {
  switch (action.type) {
    case 'ADD_ALERT_ERROR':
      return Object.assign({}, state, {
        message: action.payload.message,
        show: true,
        type: "error",
      })
    case 'ADD_ALERT_OK':
      return Object.assign({}, state, {
        message: action.payload.message,
        show: true,
        type: "success",
      })
    case 'DISMISS_ALERT':
      return Object.assign({}, state, {
        message: "",
        show: false,
        type: "",
      })
    default:
      return state;
  }
}
