import React from 'react'
import { Control, Form } from 'react-redux-form';

export default function ListFilter(props) {
  return (
    <div className="col-xs-12 col-md-12 list-filter">
      <div className="row">
        <Form model={props.formModel} className="input-group" >
          <Control.text
            model={props.controlModel}
            className="form-control input-sm"
            placeholder={props.controlPlaceHolder}
            updateOn="change"
          />
          <span className="input-group-btn">
            <button className="btn btn-default btn-sm" type="button">Filter</button>
          </span>
        </Form>
      </div>
    </div>
  );
}
